unit mainforms;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, Buttons,
  StdCtrls, SynEdit, synhighlighterunixshellscript, ExtCtrls;

type

  { TForm1 }

  TForm1 = class(TForm)
    btnPripojenieDiskov1: TButton;
    btnZdrojeSoftveru1: TButton;
    btnZavadzac1: TButton;
    btnJazyk1: TButton;
    btnSiet1: TButton;
    btnPomoc1: TButton;
    btnUlozit1: TButton;
    labSubor1: TLabel;
    labEditovanySubor1: TLabel;
    SynEdit1: TSynEdit;
    SynUNIXShellScriptSyn1: TSynUNIXShellScriptSyn;
    procedure btnPripojenieDiskov1Click(Sender: TObject);
    procedure btnUlozit1Click(Sender: TObject);
    procedure btnZdrojeSoftveru1Click(Sender: TObject);
    procedure btnZavadzac1Click(Sender: TObject);
    procedure btnJazyk1Click(Sender: TObject);
    procedure btnSiet1Click(Sender: TObject);
    procedure btnPomoc1Click(Sender: TObject);
    procedure SynEdit1Change(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    procedure Otvor(AFileName : string);
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.Otvor(AFileName : string);
var r : integer;
begin
  if btnUlozit1.Enabled and (labSubor1.Caption<>'-') then
  begin
    r := MessageDlg(
      'Zmenili ste súbor "'+labSubor1.Caption+'".'+#10+
      'Chcete tieto zmeny uložiť?',mtConfirmation,[mbYes,mbNo,mbCancel],0);
    if r = mrOk then
      SynEdit1.Lines.SaveToFile(labSubor1.Caption);
    if r = mrCancel then
      Exit;
  end;
  labSubor1.Caption := AFileName;
  SynEdit1.Lines.LoadFromFile(AFileName);
  btnUlozit1.Enabled := false;
end;

procedure TForm1.btnPripojenieDiskov1Click(Sender: TObject);
begin
  Otvor('/etc/fstab');
end;

procedure TForm1.btnUlozit1Click(Sender: TObject);
begin
  SynEdit1.Lines.SaveToFile(labSubor1.Caption);
end;

procedure TForm1.btnZdrojeSoftveru1Click(Sender: TObject);
begin
  Otvor('/etc/apt/sources.list');
end;

procedure TForm1.btnZavadzac1Click(Sender: TObject);
begin
  Otvor('/boot/grub/menu.lst');
end;

procedure TForm1.btnJazyk1Click(Sender: TObject);
begin
  Otvor('/etc/environment');
end;

procedure TForm1.btnSiet1Click(Sender: TObject);
begin
  Otvor('/etc/networks');
end;

procedure TForm1.btnPomoc1Click(Sender: TObject);
begin
  MessageDlg('smola',mtInformation,[mbOk],0);
end;

procedure TForm1.SynEdit1Change(Sender: TObject);
begin
  if labSubor1.caption <> '-' then
    btnUlozit1.Enabled := true;
end;

initialization
  {$I mainforms.lrs}

end.

